<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.6"?>
<plugin>
   <extension-point id="exportHandler" name="Export Handler" schema="schema/exportHandler.exsd"/>
   <extension-point id="importHandler" name="Import Handler" schema="schema/importHandler.exsd"/>
   <extension-point id="objectUIProvider" name="Object UI Provider" schema="schema/objectUIProvider.exsd"/>
   <extension-point id="diagramEditorFactory" name="Diagram Editor Factory" schema="schema/diagramEditorFactory.exsd"/>
   <extension-point id="compatibilityHandler" name="Model Compatibility Handler" schema="schema/compatibilityHandler.exsd"/>
   <extension-point id="imageExportProvider" name="Image Export Provider" schema="schema/imageExportProvider.exsd"/>
   <extension
         id="app"
         name="Archi"
         point="org.eclipse.core.runtime.applications">
      <application
            cardinality="singleton-global"
            thread="main"
            visible="true">
         <run
               class="com.archimatetool.editor.Application">
         </run>
      </application>
   </extension>

	<extension point="org.eclipse.core.runtime.products" id="product">
		<product
        application="com.archimatetool.editor.app"
        name="Archestry Value Stream Modeller">
     <property
           name="appName"
           value="Archestry Value Stream Modeller"/>
     <property
           name="windowImages"
           value="img/app-16.png,img/app-32.png,img/app-48.png,img/app-64.png,img/app-128.png,img/app-256.png"/>
     <property
           name="cssTheme"
           value="org.eclipse.e4.ui.css.theme.e4_default">
     </property>
     <property
           name="applicationCSSResources"
           value="platform:/plugin/com.archimatetool.editor.themes/themes/eclipse/images/">
     </property>
      </product>
	</extension>
	
	<extension
         point="org.eclipse.ui.perspectives">
      <perspective
            class="com.archimatetool.editor.perspectives.MainPerspective"
            id="com.archimatetool.editor.perspectiveMain"
            name="%perspective.name">
      </perspective>
   </extension>

   <extension
         point="org.eclipse.core.runtime.preferences">
      <initializer
            class="com.archimatetool.editor.preferences.PreferenceInitializer">
      </initializer>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            class="com.archimatetool.editor.preferences.AppearancePreferencePage"
            id="com.archimatetool.editor.prefsAppearance"
            name="%prefsAppearance">
         <keywordReference
               id="keywords.prefsAppearance">
         </keywordReference>
      </page>
      <page
            category="com.archimatetool.editor.prefsAppearance"
            class="com.archimatetool.editor.preferences.FontsPreferencePage"
            id="com.archimatetool.editor.prefsFonts"
            name="%prefsFonts">
         <keywordReference
               id="keywords.prefsColoursFonts">
         </keywordReference>
      </page>
      <page
            category="com.archimatetool.editor.prefsAppearance"
            class="com.archimatetool.editor.preferences.ColoursPreferencePage"
            id="com.archimatetool.editor.prefsColours"
            name="%prefsColours">
         <keywordReference
               id="keywords.prefsColoursFonts">
         </keywordReference>
      </page>
      <page
            class="com.archimatetool.editor.preferences.DiagramPreferencePage"
            id="com.archimatetool.editor.prefsDiagram"
            name="%prefsDiagram">
         <keywordReference
               id="keywords.prefsDiagram">
         </keywordReference>
      </page>
      <page
            category="com.archimatetool.editor.prefsDiagram"
            class="com.archimatetool.editor.preferences.DiagramAppearancePreferencePage"
            id="com.archimatetool.editor.prefsDiagramAppearance"
            name="%prefsDiagramAppearance">
         <keywordReference
               id="keywords.prefsDiagram">
         </keywordReference>
      </page>
      <page
            category="com.archimatetool.editor.prefsDiagram"
            class="com.archimatetool.editor.preferences.DiagramFiguresPreferencePage"
            id="com.archimatetool.editor.prefsDiagramFigures"
            name="%prefsDiagramFigures">
         <keywordReference
               id="keywords.prefsDiagram">
         </keywordReference>
      </page>
      <page
            class="com.archimatetool.editor.preferences.GeneralPreferencePage"
            id="com.archimatetool.editor.prefsGeneral"
            name="%prefsGeneral">
         <keywordReference
               id="keywords.prefsGeneral">
         </keywordReference>
      </page>
      <page
            class="com.archimatetool.editor.preferences.ConnectionsPreferencePage"
            id="com.archimatetool.editor.prefsConnections"
            name="%prefsConnections">
         <keywordReference
               id="keywords.prefsConnections">
         </keywordReference>
      </page>
      <page
            category="com.archimatetool.editor.prefsConnections"
            class="com.archimatetool.editor.preferences.ConnectionsARMPreferencePage"
            id="com.archimatetool.editor.prefsARM"
            name="%prefsARM">
         <keywordReference
               id="keywords.prefsConnections">
         </keywordReference>
      </page>
   </extension>
   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="com.archimatetool.editor.diagram.ArchimateDiagramEditor"
            contributorClass="com.archimatetool.editor.diagram.ArchimateDiagramEditorActionBarContributor"
            default="false"
            icon="img/diagram.png"
            id="com.archimatetool.editor.diagramEditor"
            name="%editorDiagram">
      </editor>
      <editor
            class="com.archimatetool.editor.diagram.sketch.SketchEditor"
            contributorClass="com.archimatetool.editor.diagram.sketch.SketchEditorActionBarContributor"
            default="false"
            icon="img/sketch.png"
            id="com.archimatetool.editor.sketchEditor"
            name="%editorSketch">
      </editor>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <view
            class="com.archimatetool.editor.views.tree.TreeModelView"
            icon="img/models.png"
            id="com.archimatetool.editor.treeModelView"
            name="%viewTreeModel"
            restorable="true">
      </view>
      <view
            class="com.archimatetool.editor.views.properties.CustomPropertiesView"
            icon="img/prop_ps.png"
            id="com.archimatetool.editor.propertiesView"
            name="%viewProperties"
            restorable="true">
      </view>
      <view
            class="com.archimatetool.editor.views.navigator.NavigatorView"
            icon="img/navigator.png"
            id="com.archimatetool.editor.navigatorView"
            name="%viewNavigator"
            restorable="true">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertyContributor">
      <propertyContributor
            contributorId="com.archimatetool.editor"
            labelProvider="com.archimatetool.editor.propertysections.PropertiesLabelProvider">
         <propertyCategory
               category="main.category"></propertyCategory>
         <propertyCategory
               category="appearance.category">
         </propertyCategory>
      </propertyContributor>
   </extension>
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertyTabs">
      <propertyTabs
            contributorId="com.archimatetool.editor">
         <propertyTab
               category="main.category"
               id="main.tab"
               label="%propertyTab.label">
         </propertyTab>
         <propertyTab
               afterTab="main.tab"
               category="main.category"
               id="properties.tab"
               label="%propertyTab.label.0">
         </propertyTab>
         <propertyTab
               afterTab="properties.tab"
               category="main.category"
               id="analysis.tab"
               label="%propertyTab.label.1">
         </propertyTab>
         <propertyTab
               category="appearance.category"
               id="appearance.tab"
               label="%propertyTab.label.2">
         </propertyTab>
         <propertyTab
               afterTab="appearance.tab"
               category="appearance.category"
               id="label.tab"
               label="%propertyTab.label.4">
         </propertyTab>
         <propertyTab
               afterTab="label.tab"
               category="appearance.category"
               id="figure.tab"
               label="%propertyTab.label.3">
         </propertyTab>
      </propertyTabs>
   </extension>
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertySections">
      <propertySections
            contributorId="com.archimatetool.editor">
         <propertySection
               class="com.archimatetool.editor.propertysections.ArchimateModelSection"
               filter="com.archimatetool.editor.propertysections.ArchimateModelSection$Filter"
               id="archimateModelSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.ArchimateConceptSection"
               filter="com.archimatetool.editor.propertysections.ArchimateConceptSection$Filter"
               id="archimateElementSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.AccessRelationshipSection"
               filter="com.archimatetool.editor.propertysections.AccessRelationshipSection$Filter"
               id="accessRelationshipSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.AssociationRelationshipSection"
               filter="com.archimatetool.editor.propertysections.AssociationRelationshipSection$Filter"
               id="associationRelationshipSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.InfluenceRelationshipSection"
               filter="com.archimatetool.editor.propertysections.InfluenceRelationshipSection$Filter"
               id="influenceRelationshipSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.JunctionTypeSection"
               filter="com.archimatetool.editor.propertysections.JunctionTypeSection$Filter"
               id="junctionTypeSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.DiagramModelSection"
               filter="com.archimatetool.editor.propertysections.DiagramModelSection$Filter"
               id="diagramModelSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.DiagramModelConnectionSection"
               filter="com.archimatetool.editor.propertysections.DiagramModelConnectionSection$Filter"
               id="diagramModelConnectionSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.DiagramConnectionNameDocumentationSection"
               filter="com.archimatetool.editor.propertysections.DiagramConnectionNameDocumentationSection$Filter"
               id="connectionNameSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.DiagramConnectionSection"
               filter="com.archimatetool.editor.propertysections.DiagramConnectionSection$Filter"
               id="connectionAppearanceSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               afterSection="connectionAppearanceSection"
               class="com.archimatetool.editor.propertysections.DiagramConnectionLineStyleSection"
               filter="com.archimatetool.editor.propertysections.DiagramConnectionLineStyleSection$Filter"
               id="connectionTypeSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.GroupSection"
               filter="com.archimatetool.editor.propertysections.GroupSection$Filter"
               id="groupSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.TextContentSection"
               filter="com.archimatetool.editor.propertysections.TextContentSection$Filter"
               id="textContentSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.UsedInViewsSection"
               filter="com.archimatetool.editor.propertysections.UsedInViewsSection$Filter"
               id="usedInViewsSection"
               tab="analysis.tab">
         </propertySection>
         <propertySection
               afterSection="usedInViewsSection"
               class="com.archimatetool.editor.propertysections.UsedInRelationshipsSection"
               filter="com.archimatetool.editor.propertysections.UsedInRelationshipsSection$Filter"
               id="usedInRelationshipsSection"
               tab="analysis.tab">
         </propertySection>
<!--         <propertySection
               class="com.archimatetool.editor.propertysections.FillColorSection"
               filter="com.archimatetool.editor.propertysections.FillColorSection$Filter"
               id="fillColorSection"
               tab="appearance.tab">
         </propertySection>-->
         <propertySection
               afterSection="connectionAppearanceSection"
               class="com.archimatetool.editor.propertysections.LineColorSection"
               filter="com.archimatetool.editor.propertysections.LineColorSection$Filter"
               id="lineColorSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               afterSection="anySection"
               class="com.archimatetool.editor.propertysections.FontSection"
               filter="com.archimatetool.editor.propertysections.FontSection$Filter"
               id="fontSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               afterSection="lineColorSection"
               class="com.archimatetool.editor.propertysections.TextAlignmentSection"
               filter="com.archimatetool.editor.propertysections.TextAlignmentSection$Filter"
               id="textAlignmentSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               afterSection="textPositionSection"
               class="com.archimatetool.editor.propertysections.OpacitySection"
               filter="com.archimatetool.editor.propertysections.OpacitySection$Filter"
               id="opacitySection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               afterSection="lineColorSection"
               class="com.archimatetool.editor.propertysections.GradientSection"
               filter="com.archimatetool.editor.propertysections.GradientSection$Filter"
               id="gradientSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.FolderSection"
               filter="com.archimatetool.editor.propertysections.FolderSection$Filter"
               id="folderSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.SketchElementSection"
               filter="com.archimatetool.editor.propertysections.SketchElementSection$Filter"
               id="sketchElementSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               afterSection="diagramModelSection"
               class="com.archimatetool.editor.propertysections.SketchModelBackgroundSection"
               filter="com.archimatetool.editor.propertysections.SketchModelBackgroundSection$Filter"
               id="sketchModelBackgroundSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.SketchStickyNameSection"
               filter="com.archimatetool.editor.propertysections.SketchStickyNameSection$Filter"
               id="nameSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.DiagramFigureTypeSection"
               filter="com.archimatetool.editor.propertysections.DiagramFigureTypeSection$Filter"
               id="diagramFigureTypeSection"
               tab="figure.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.UserPropertiesSection"
               filter="com.archimatetool.editor.propertysections.UserPropertiesSection$Filter"
               id="userPropertiesSection"
               tab="properties.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.ViewpointSection"
               filter="com.archimatetool.editor.propertysections.ViewpointSection$Filter"
               id="viewpointSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.LockedSection"
               filter="com.archimatetool.editor.propertysections.LockedSection$Filter"
               id="lockedSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               afterSection="fillColorSection"
               class="com.archimatetool.editor.propertysections.BorderColorSection"
               filter="com.archimatetool.editor.propertysections.BorderColorSection$Filter"
               id="borderColorSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               afterSection="lockedSection"
               class="com.archimatetool.editor.propertysections.DiagramModelImageSection"
               filter="com.archimatetool.editor.propertysections.DiagramModelImageSection$Filter"
               id="imageSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.DiagramModelReferenceSection"
               filter="com.archimatetool.editor.propertysections.DiagramModelReferenceSection$Filter"
               id="diagramModelReferenceSection"
               tab="main.tab">
         </propertySection>
         <propertySection
               afterSection="gradientSection"
               class="com.archimatetool.editor.propertysections.NoteBorderTypeSection"
               filter="com.archimatetool.editor.propertysections.NoteBorderTypeSection$Filter"
               id="noteBorderTypeSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               afterSection="gradientSection"
               class="com.archimatetool.editor.propertysections.GroupBorderTypeSection"
               filter="com.archimatetool.editor.propertysections.GroupBorderTypeSection$Filter"
               id="groupBorderTypeSection"
               tab="appearance.tab">
         </propertySection>
         <propertySection
               class="com.archimatetool.editor.propertysections.LabelRendererSection"
               filter="com.archimatetool.editor.propertysections.LabelRendererSection$Filter"
               id="labelRendererSection"
               tab="label.tab">
         </propertySection>
      </propertySections>
   </extension>
   <extension
         point="org.eclipse.ui.elementFactories">
      <factory
            class="com.archimatetool.editor.diagram.DiagramEditorInputFactory"
            id="com.archimatetool.editor.DiagramEditorInputFactory">
      </factory>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <scheme
            description="Archi Key Configuration"
            id="com.archimatetool.editor.keybindings"
            name="Archi"
            parentId="org.eclipse.ui.defaultAcceleratorConfiguration">
      </scheme>
      <key
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+M2+F8">
      </key>
      <key
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+F8">
      </key>
      <key
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+M2+E">
      </key>
      <key
            commandId="com.archimatetool.editor.action.newModel"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+N">
      </key>
      <key
            commandId="com.archimatetool.editor.action.openModel"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+O">
      </key>
      <key
            commandId="com.archimatetool.editor.action.closeModel"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+M">
      </key>
      <key
            commandId="com.archimatetool.editor.action.duplicate"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+D">
      </key>
      <key
            commandId="com.archimatetool.editor.action.openDiagram"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+M2+O">
      </key>
      <key
            commandId="com.archimatetool.editor.action.showTreeModelView"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M3+1">
      </key>
      <key
            commandId="com.archimatetool.editor.action.showPropertiesView"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M3+2">
      </key>
      <key
            commandId="com.archimatetool.editor.action.showOutlineView"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M3+3">
      </key>
      <key
            commandId="com.archimatetool.editor.action.showNavigatorView"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M3+4">
      </key>
      <key
            commandId="com.archimatetool.editor.action.showPaletteView"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M3+5">
      </key>
      <key
            commandId="com.archimatetool.editor.action.exportAsImageToClipboard"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+M2+C">
      </key>
      <key
            commandId="com.archimatetool.editor.action.fullScreen"
            platform="win32"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="F11">
      </key>
      <key
            commandId="com.archimatetool.editor.action.fullScreen"
            platform="gtk"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="F11">
      </key>
      <key
            commandId="com.archimatetool.editor.action.fullScreen"
            platform="cocoa"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+M2+F">
      </key>
      <key
            commandId="org.eclipse.ui.edit.delete"
            platform="cocoa"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="BS">
      </key>
      <key
            commandId="org.eclipse.ui.help.dynamicHelp"
            platform="cocoa"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            sequence="F1">
      </key>
      <key
            commandId="org.eclipse.gef.zoom_in"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1++">
      </key>
      <key
            commandId="org.eclipse.gef.zoom_normal"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+0">
      </key>
      <key
            commandId="org.eclipse.ui.window.splitEditor"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+[">
         <parameter
               id="Splitter.isHorizontal"
               value="true">
         </parameter>
      </key>
      <key
            commandId="org.eclipse.ui.window.splitEditor"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+]">
         <parameter
               id="Splitter.isHorizontal"
               value="false">
         </parameter>
      </key>
      <key
            commandId="com.archimatetool.action.generateView"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+G">
      </key>
      <key
            commandId="com.archimatetool.action.defaultSize"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+/">
      </key>
      <key
            commandId="com.archimatetool.com.paste_special"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+M2+V">
      </key>
      <key
            commandId="com.archimatetool.editor.fullscreen.macos.commandFullScreen"
            platform="cocoa"
            schemeId="com.archimatetool.editor.keybindings"
            sequence="M1+M4+F">
      </key>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            id="com.archimatetool.editor.action.newModel"
            name="%command.name">
      </command>
      <command
            id="com.archimatetool.editor.action.openModel"
            name="%command.name.0">
      </command>
      <command
            id="com.archimatetool.editor.action.closeModel"
            name="%command.name.1">
      </command>
      <command
            id="com.archimatetool.editor.action.duplicate"
            name="%command.name.2">
      </command>
      <command
            id="com.archimatetool.editor.action.openDiagram"
            name="%command.name.3">
      </command>
      <command
            id="com.archimatetool.editor.action.showTreeModelView"
            name="%command.name.4">
      </command>
      <command
            id="com.archimatetool.editor.action.showPropertiesView"
            name="%command.name.5">
      </command>
      <command
            id="com.archimatetool.editor.action.showOutlineView"
            name="%command.name.6">
      </command>
      <command
            id="com.archimatetool.editor.action.showNavigatorView"
            name="%command.name.7">
      </command>
      <command
            id="com.archimatetool.editor.action.showPaletteView"
            name="%command.name.8">
      </command>
      <command
            id="com.archimatetool.editor.action.exportAsImageToClipboard"
            name="%command.name.9">
      </command>
      <command
            id="com.archimatetool.editor.action.fullScreen"
            name="%command.name.10">
      </command>
      <command
            categoryId="org.eclipse.gef.category.view"
            description="%command.name.11"
            id="org.eclipse.gef.zoom_normal"
            name="%command.name.11">
      </command>
      <command
            id="com.archimatetool.action.generateView"
            name="%command.name.12">
      </command>
      <command
            id="com.archimatetool.action.defaultSize"
            name="%command.name.13">
      </command>
      <command
            id="com.archimatetool.com.paste_special"
            name="%command.name.14">
      </command>
      <command
            defaultHandler="com.archimatetool.editor.p2.ManagePluginsActionHandler"
            description="%command.description"
            id="com.archimatetool.editor.pluginManager"
            name="%command.name.15">
      </command>
      <command
            defaultHandler="com.archimatetool.editor.actions.MacFullScreenCommandHandler"
            id="com.archimatetool.editor.fullscreen.macos.commandFullScreen"
            name="%command.name.16">
      </command>
      <command
            defaultHandler="com.archimatetool.editor.actions.ShowPropertiesManagerHandler"
            id="com.archimatetool.editor.action.openPropertiesDialog"
            name="%command.name.17">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.keywords">
      <keyword
            id="keywords.prefsAppearance"
            label="%keyword.label.5">
      </keyword>
      <keyword
            id="keywords.prefsGeneral"
            label="%keyword.label">
      </keyword>
      <keyword
            id="keywords.prefsDiagram"
            label="%keyword.label.1">
      </keyword>
      <keyword
            id="keywords.prefsConnections"
            label="%keyword.label.2">
      </keyword>
      <keyword
            id="keywords.prefsRelations"
            label="%keyword.label.3">
      </keyword>
      <keyword
            id="keywords.prefsColoursFonts"
            label="%keyword.label.4">
      </keyword>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="true"
            locationURI="popup:com.archimatetool.editor.treeModelView?after=new">
         <menu
               id="com.archimatetool.editor.treeModelView.new_menu"
               label="%menu.label.0">
            <dynamic
                  class="com.archimatetool.editor.views.tree.actions.NewMenuContributionItem"
                  id="com.archimatetool.editor.treeModelView.new_items">
            </dynamic>
            <separator
                  name="new_additions"
                  visible="true">
            </separator>
         </menu>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="toolbar:toolbar_file?after=start">
         <command
               commandId="com.archimatetool.editor.action.newModel"
               icon="img/newfile_wiz.png"
               id="com.archimatetool.menu.newDropdown"
               label="%command.label"
               style="pulldown">
         </command>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="menu:com.archimatetool.menu.newDropdown">
         <command
               commandId="com.archimatetool.editor.action.newModel"
               icon="img/newfile_wiz.png"
               id="com.archimatetool.menu.newModel"
               label="%command.label.0"
               style="push">
         </command>
         <separator
               name="com.archimatetool.menu.separatorNewDropdown"
               visible="false">
         </separator>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="menu:window?after=show_view_end">
         <menu
               id="com.archimatetool.menu.editor"
               label="%menu.label">
         </menu>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="menu:com.archimatetool.menu.editor">
         <command
               commandId="org.eclipse.ui.window.splitEditor"
               label="%command.label.1"
               style="push">
            <parameter
                  name="Splitter.isHorizontal"
                  value="true">
            </parameter>
         </command>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="menu:com.archimatetool.menu.editor">
         <command
               commandId="org.eclipse.ui.window.splitEditor"
               label="%command.label.2"
               style="push">
            <parameter
                  name="Splitter.isHorizontal"
                  value="false">
            </parameter>
         </command>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="menu:help?endof=support_start">
         <command
               commandId="com.archimatetool.editor.pluginManager"
               label="%command.label.3"
               style="push">
         </command>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="menu:window?before=nav_start">
         <command
               commandId="com.archimatetool.editor.fullscreen.macos.commandFullScreen"
               label="%command.label.4"
               style="push">
            <visibleWhen
                  checkEnabled="true">
            </visibleWhen>
         </command>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="menu:tools?after=com.archimatetool.action.generateView">
         <command
               commandId="com.archimatetool.editor.action.openPropertiesDialog"
               icon="img/prop_ps.png"
               label="%command.label.5"
               style="push">
         </command>
      </menuContribution>
   </extension>
   <extension
         point="com.archimatetool.editor.compatibilityHandler">
      <compatibilityHandler
            class="com.archimatetool.editor.model.compatibility.handlers.FixDefaultSizesHandler"
            id="com.archimatetool.editor.compatibility.defaultSizes">
      </compatibilityHandler>
      <compatibilityHandler
            class="com.archimatetool.editor.model.compatibility.handlers.Archimate2To3Handler"
            id="com.archimatetool.editor.compatibility.archimate2converter">
      </compatibilityHandler>
      <compatibilityHandler
            class="com.archimatetool.editor.model.compatibility.handlers.DefaultTextAlignmentHandler"
            id="com.archimatetool.editor.compatibility.groupingTextPosition">
      </compatibilityHandler>
      <compatibilityHandler
            class="com.archimatetool.editor.model.compatibility.handlers.OutlineOpacityHandler"
            id="com.archimatetool.editor.compatibility.lineOpacity">
      </compatibilityHandler>
   </extension>
   <extension
         point="com.archimatetool.editor.imageExportProvider">
      <imageExportProvider
            class="com.archimatetool.editor.diagram.ImageExportProvider"
            extensions="png"
            id="com.archimatetool.editor.pngImageExportProvider"
            label="%imageExportProvider.label">
      </imageExportProvider>
      <imageExportProvider
            class="com.archimatetool.editor.diagram.ImageExportProvider"
            extensions="bmp"
            id="com.archimatetool.editor.bmpImageExportProvider"
            label="%imageExportProvider.label.0">
      </imageExportProvider>
      <imageExportProvider
            class="com.archimatetool.editor.diagram.ImageExportProvider"
            extensions="jpg,jpeg"
            id="com.archimatetool.editor.jpegImageExportProvider"
            label="%imageExportProvider.label.1">
      </imageExportProvider>
   </extension>
   <extension
         point="org.eclipse.ui.intro">
      <introProductBinding
            introId="com.archimatetool.editor.intro"
            productId="com.archimatetool.editor.product">
      </introProductBinding>
      <intro
            class="org.eclipse.ui.intro.config.CustomizableIntroPart"
            icon="img/home_nav.png"
            id="com.archimatetool.editor.intro">
      </intro>
   </extension>
   <extension
         point="org.eclipse.ui.intro.config">
      <config
            content="$nl$/intro/introContent.xml"
            id="com.archimatetool.editor.intro.config"
            introId="com.archimatetool.editor.intro">
         <presentation
               home-page-id="root"
               standby-page-id="standby">
            <implementation
                  kind="html"
                  style="style.css">
            </implementation>
         </presentation>
      </config>
   </extension>
   <extension
         name="ArchiMate Elements"
         point="com.archimatetool.editor.objectUIProvider">
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.JunctionUIProvider"
            id="com.archimatetool.editor.JunctionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ApplicationCollaborationUIProvider"
            id="com.archimatetool.editor.ApplicationCollaborationUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ApplicationComponentUIProvider"
            id="com.archimatetool.editor.ApplicationComponentUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ApplicationEventUIProvider"
            id="com.archimatetool.editor.ApplicationEventUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ApplicationFunctionUIProvider"
            id="com.archimatetool.editor.ApplicationFunctionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaB2aUiUIProvider"
            id="com.archimatetool.editor.VsmViaB2aUiUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaB2aIntegrationUIProvider"
            id="com.archimatetool.editor.VsmViaB2aIntegrationUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaB2aDsUIProvider"
            id="com.archimatetool.editor.VsmViaB2aDsUIProvider">
      </uiProvider>
<!--      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaA2dDiscoveryUIProvider"
            id="com.archimatetool.editor.VsmViaA2dDiscoveryUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaA2dAppdataUIProvider"
            id="com.archimatetool.editor.VsmViaA2dAppdataUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaA2dDatamartUIProvider"
            id="com.archimatetool.editor.VsmViaA2dDatamartUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaA2tYamlUIProvider"
            id="com.archimatetool.editor.VsmViaA2tYamlUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaA2tEventUIProvider"
            id="com.archimatetool.editor.VsmViaA2tEventUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmViaA2tDiscoveryUIProvider"
            id="com.archimatetool.editor.VsmViaA2tDiscoveryUIProvider">
      </uiProvider> -->     
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmApplicationTaskUIProvider"
            id="com.archimatetool.editor.VsmApplicationTaskUIProvider">
      </uiProvider>   
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmApplicationClassUIProvider"
            id="com.archimatetool.editor.VsmApplicationClassUIProvider">
      </uiProvider>     
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmApplicationModuleUIProvider"
            id="com.archimatetool.editor.VsmApplicationModuleUIProvider">
      </uiProvider>     
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmApplicationMethodUIProvider"
            id="com.archimatetool.editor.VsmApplicationMethodUIProvider">
      </uiProvider>           
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ApplicationInteractionUIProvider"
            id="com.archimatetool.editor.ApplicationInteractionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ApplicationInterfaceUIProvider"
            id="com.archimatetool.editor.ApplicationInterfaceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ApplicationProcessUIProvider"
            id="com.archimatetool.editor.ApplicationProcessUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ApplicationServiceUIProvider"
            id="com.archimatetool.editor.ApplicationServiceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ArtifactUIProvider"
            id="com.archimatetool.editor.ArtifactUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.AssessmentUIProvider"
            id="com.archimatetool.editor.AssessmentUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessActorUIProvider"
            id="com.archimatetool.editor.BusinessActorUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessCollaborationUIProvider"
            id="com.archimatetool.editor.BusinessCollaborationUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessEventUIProvider"
            id="com.archimatetool.editor.BusinessEventUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessFunctionUIProvider"
            id="com.archimatetool.editor.BusinessFunctionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmBusinessTaskUIProvider"
            id="com.archimatetool.editor.VsmBusinessTaskUIProvider">
      </uiProvider>     
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmBusinessEpicUIProvider"
            id="com.archimatetool.editor.VsmBusinessEpicUIProvider">
      </uiProvider> 
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmBusinessUsUIProvider"
            id="com.archimatetool.editor.VsmBusinessUsUIProvider">
      </uiProvider> 
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmBusinessAcUIProvider"
            id="com.archimatetool.editor.VsmBusinessAcUIProvider">
      </uiProvider> 
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmBusinessUcUIProvider"
            id="com.archimatetool.editor.VsmBusinessUcUIProvider">
      </uiProvider> 
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmBusinessFrUIProvider"
            id="com.archimatetool.editor.VsmBusinessFrUIProvider">
      </uiProvider> 
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmBusinessNfrUIProvider"
            id="com.archimatetool.editor.VsmBusinessNfrUIProvider">
      </uiProvider>       
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessInteractionUIProvider"
            id="com.archimatetool.editor.BusinessInteractionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessInterfaceUIProvider"
            id="com.archimatetool.editor.BusinessInterfaceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessObjectUIProvider"
            id="com.archimatetool.editor.BusinessObjectUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessProcessUIProvider"
            id="com.archimatetool.editor.BusinessProcessUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessRoleUIProvider"
            id="com.archimatetool.editor.BusinessRoleUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.BusinessServiceUIProvider"
            id="com.archimatetool.editor.BusinessServiceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.CapabilityUIProvider"
            id="com.archimatetool.editor.CapabilityUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.CommunicationNetworkUIProvider"
            id="com.archimatetool.editor.CommunicationNetworkUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ConstraintUIProvider"
            id="com.archimatetool.editor.ConstraintUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContractUIProvider"
            id="com.archimatetool.editor.ContractUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.CourseOfActionUIProvider"
            id="com.archimatetool.editor.CourseOfActionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DataObjectUIProvider"
            id="com.archimatetool.editor.DataObjectUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DeliverableUIProvider"
            id="com.archimatetool.editor.DeliverableUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DeviceUIProvider"
            id="com.archimatetool.editor.DeviceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DistributionNetworkUIProvider"
            id="com.archimatetool.editor.DistributionNetworkUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DriverUIProvider"
            id="com.archimatetool.editor.DriverUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.EquipmentUIProvider"
            id="com.archimatetool.editor.EquipmentUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.FacilityUIProvider"
            id="com.archimatetool.editor.FacilityUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.GapUIProvider"
            id="com.archimatetool.editor.GapUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.GoalUIProvider"
            id="com.archimatetool.editor.GoalUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeInfrastructureOctagonUIProvider"
            id="com.archimatetool.editor.VsmLandscapeInfrastructureOctagonUIProvider">
      </uiProvider> 
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeProductOctagonUIProvider"
            id="com.archimatetool.editor.VsmLandscapeProductOctagonUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerGeneralUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerGeneralUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerBusinessUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerBusinessUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerApplicationUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerApplicationUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerTechnologyUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerTechnologyUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerDataUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerDataUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerB2aUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerB2aUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerA2dUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerA2dUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerA2tUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerA2tUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmLandscapeLayerGeneralUIProvider"
            id="com.archimatetool.editor.VsmLandscapeLayerGeneralUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DynamicsPersonalFeelingUIProvider"
            id="com.archimatetool.editor.DynamicsPersonalFeelingUIProvider">
      </uiProvider>       
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DynamicsPersonalPredictionUIProvider"
            id="com.archimatetool.editor.DynamicsPersonalPredictionUIProvider">
      </uiProvider>   
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DynamicsPersonalCorrectionUIProvider"
            id="com.archimatetool.editor.DynamicsPersonalCorrectionUIProvider">
      </uiProvider>   
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DynamicsPersonalByproductUIProvider"
            id="com.archimatetool.editor.DynamicsPersonalByproductUIProvider">
      </uiProvider>         
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DynamicsTeamPredictionUIProvider"
            id="com.archimatetool.editor.DynamicsTeamPredictionUIProvider">
      </uiProvider>   
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DynamicsTeamFeelingUIProvider"
            id="com.archimatetool.editor.DynamicsTeamFeelingUIProvider">
      </uiProvider> 
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DynamicsOrgPredictionUIProvider"
            id="com.archimatetool.editor.DynamicsOrgPredictionUIProvider">
      </uiProvider>   
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.DynamicsEnvPredictionUIProvider"
            id="com.archimatetool.editor.DynamicsEnvPredictionUIProvider">
      </uiProvider>         
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataGitRepoUIProvider"
            id="com.archimatetool.editor.VsmDataGitRepoUIProvider">
      </uiProvider>     
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataGitBranchUIProvider"
            id="com.archimatetool.editor.VsmDataGitBranchUIProvider">
      </uiProvider>     
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataSrcDirUIProvider"
            id="com.archimatetool.editor.VsmDataSrcDirUIProvider">
      </uiProvider>     
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataSrcFileUIProvider"
            id="com.archimatetool.editor.VsmDataSrcFileUIProvider">
      </uiProvider>         
      
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataDatabaseUIProvider"
            id="com.archimatetool.editor.VsmDataDatabaseUIProvider">
      </uiProvider> 
      
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataSchemaUIProvider"
            id="com.archimatetool.editor.VsmDataSchemaUIProvider">
      </uiProvider> 
      
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataViewUIProvider"
            id="com.archimatetool.editor.VsmDataViewUIProvider">
      </uiProvider> 
      
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataTableUIProvider"
            id="com.archimatetool.editor.VsmDataTableUIProvider">
      </uiProvider> 
      
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataColumnUIProvider"
            id="com.archimatetool.editor.VsmDataColumnUIProvider">
      </uiProvider> 
      
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmDataTaskUIProvider"
            id="com.archimatetool.editor.VsmDataTaskUIProvider">
      </uiProvider>   
<!--       VsmSrm -->
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmSrmStatusUIProvider"
            id="com.archimatetool.editor.VsmSrmStatusUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmSrmActionUIProvider"
            id="com.archimatetool.editor.VsmSrmActionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmSrmRoleFunctionUIProvider"
            id="com.archimatetool.editor.VsmSrmRoleFunctionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmSrmRoleUserUIProvider"
            id="com.archimatetool.editor.VsmSrmRoleUserUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmSrmUserUIProvider"
            id="com.archimatetool.editor.VsmSrmUserUIProvider">
      </uiProvider>
<!--    End of  VsmSrm -->      
<!--       ContextmeBasic -->
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicConceptUIProvider"
            id="com.archimatetool.editor.ContextmeBasicConceptUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicSituationUIProvider"
            id="com.archimatetool.editor.ContextmeBasicSituationUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicQuestioningUIProvider"
            id="com.archimatetool.editor.ContextmeBasicQuestioningUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicCuriousUIProvider"
            id="com.archimatetool.editor.ContextmeBasicCuriousUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicLinkUIProvider"
            id="com.archimatetool.editor.ContextmeBasicLinkUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicClarifyUIProvider"
            id="com.archimatetool.editor.ContextmeBasicClarifyUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicExpressUIProvider"
            id="com.archimatetool.editor.ContextmeBasicExpressUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicDiscussUIProvider"
            id="com.archimatetool.editor.ContextmeBasicDiscussUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ContextmeBasicNoteUIProvider"
            id="com.archimatetool.editor.ContextmeBasicNoteUIProvider">
      </uiProvider>  
<!--    End of  ContextmeBasic -->
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.GroupingUIProvider"
            id="com.archimatetool.editor.GroupingUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ImplementationEventUIProvider"
            id="com.archimatetool.editor.ImplementationEventUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.LocationUIProvider"
            id="com.archimatetool.editor.LocationUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.MaterialUIProvider"
            id="com.archimatetool.editor.MaterialUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.MeaningUIProvider"
            id="com.archimatetool.editor.MeaningUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.NodeUIProvider"
            id="com.archimatetool.editor.NodeUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.OutcomeUIProvider"
            id="com.archimatetool.editor.OutcomeUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.PathUIProvider"
            id="com.archimatetool.editor.PathUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.PlateauUIProvider"
            id="com.archimatetool.editor.PlateauUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.PrincipleUIProvider"
            id="com.archimatetool.editor.PrincipleUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ProductUIProvider"
            id="com.archimatetool.editor.ProductUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.RepresentationUIProvider"
            id="com.archimatetool.editor.RepresentationUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.RequirementUIProvider"
            id="com.archimatetool.editor.RequirementUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ResourceUIProvider"
            id="com.archimatetool.editor.ResourceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.StakeholderUIProvider"
            id="com.archimatetool.editor.StakeholderUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.SystemSoftwareUIProvider"
            id="com.archimatetool.editor.SystemSoftwareUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.TechnologyCollaborationUIProvider"
            id="com.archimatetool.editor.TechnologyCollaborationUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.TechnologyEventUIProvider"
            id="com.archimatetool.editor.TechnologyEventUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.TechnologyFunctionUIProvider"
            id="com.archimatetool.editor.TechnologyFunctionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmTechnologyTaskUIProvider"
            id="com.archimatetool.editor.VsmTechnologyTaskUIProvider">
      </uiProvider>   
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmTechnologyK8sPodUIProvider"
            id="com.archimatetool.editor.VsmTechnologyK8sPodUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmTechnologyK8sContainerUIProvider"
            id="com.archimatetool.editor.VsmTechnologyK8sContainerUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmTechnologyK8sControllerUIProvider"
            id="com.archimatetool.editor.VsmTechnologyK8sControllerUIProvider">
      </uiProvider>  
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.VsmTechnologyStorageUIProvider"
            id="com.archimatetool.editor.VsmTechnologyStorageUIProvider">
      </uiProvider>        
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.TechnologyInteractionUIProvider"
            id="com.archimatetool.editor.TechnologyInteractionUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.TechnologyInterfaceUIProvider"
            id="com.archimatetool.editor.TechnologyInterfaceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.TechnologyProcessUIProvider"
            id="com.archimatetool.editor.TechnologyProcessUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.TechnologyServiceUIProvider"
            id="com.archimatetool.editor.TechnologyServiceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ValueUIProvider"
            id="com.archimatetool.editor.ValueUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.ValueStreamUIProvider"
            id="com.archimatetool.editor.ValueStreamUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.elements.WorkPackageUIProvider"
            id="com.archimatetool.editor.WorkPackageUIProvider">
      </uiProvider>
   </extension>
   <extension
         name="ArchiMate Relationships"
         point="com.archimatetool.editor.objectUIProvider">
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.AccessRelationshipUIProvider"
            id="com.archimatetool.editor.AccessRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.AggregationRelationshipUIProvider"
            id="com.archimatetool.editor.AggregationRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.AssignmentRelationshipUIProvider"
            id="com.archimatetool.editor.AssignmentRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.AssociationRelationshipUIProvider"
            id="com.archimatetool.editor.AssociationRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.CompositionRelationshipUIProvider"
            id="com.archimatetool.editor.CompositionRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.FlowRelationshipUIProvider"
            id="com.archimatetool.editor.FlowRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.InfluenceRelationshipUIProvider"
            id="com.archimatetool.editor.InfluenceRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.RealizationRelationshipUIProvider"
            id="com.archimatetool.editor.RealizationRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.ServingRelationshipUIProvider"
            id="com.archimatetool.editor.ServingRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.SpecializationRelationshipUIProvider"
            id="com.archimatetool.editor.SpecializationRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.TriggeringRelationshipUIProvider"
            id="com.archimatetool.editor.TriggeringRelationshipUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.ProductAppOwnsRelationshipUIProvider"
            id="com.archimatetool.editor.ProductAppOwnsRelationshipUIProvider">
       </uiProvider>
        <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.DynamicsPersonalPredictionRelationshipUIProvider"
            id="com.archimatetool.editor.DynamicsPersonalPredictionRelationshipUIProvider">
       </uiProvider>
       <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.DynamicsTeamPredictionRelationshipUIProvider"
            id="com.archimatetool.editor.DynamicsTeamPredictionRelationshipUIProvider">
       </uiProvider> 
       <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.DynamicsOrgPredictionRelationshipUIProvider"
            id="com.archimatetool.editor.DynamicsOrgPredictionRelationshipUIProvider">
       </uiProvider> 
       <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.DynamicsEnvPredictionRelationshipUIProvider"
            id="com.archimatetool.editor.DynamicsEnvPredictionRelationshipUIProvider">
       </uiProvider> 
       <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.ProductBizOwnsRelationshipUIProvider"
            id="com.archimatetool.editor.ProductBizOwnsRelationshipUIProvider">
       </uiProvider>
       <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.ProductDataOwnsRelationshipUIProvider"
            id="com.archimatetool.editor.ProductDataOwnsRelationshipUIProvider">
       </uiProvider>
       <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.ProductTechOwnsRelationshipUIProvider"
            id="com.archimatetool.editor.ProductTechOwnsRelationshipUIProvider">
       </uiProvider>      
       <uiProvider
            class="com.archimatetool.editor.ui.factory.relationships.ProductTechOSIRelationshipUIProvider"
            id="com.archimatetool.editor.ProductTechOSIRelationshipUIProvider">
       </uiProvider>

      
   </extension>
   <extension
         name="Other"
         point="com.archimatetool.editor.objectUIProvider">
      <uiProvider
            class="com.archimatetool.editor.ui.factory.model.ArchimateModelUIProvider"
            id="com.archimatetool.editor.ArchimateModelUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.diagram.ArchimateDiagramModelUIProvider"
            id="com.archimatetool.editor.ArchimateDiagramModelUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.model.FolderUIProvider"
            id="com.archimatetool.editor.FolderUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.diagram.NoteUIProvider"
            id="com.archimatetool.editor.NoteUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.diagram.GroupUIProvider"
            id="com.archimatetool.editor.GroupUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.diagram.DiagramModelReferenceUIProvider"
            id="com.archimatetool.editor.DiagramModelReferenceUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.diagram.DiagramImageUIProvider"
            id="com.archimatetool.editor.DiagramImageUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.diagram.DiagramConnectionUIProvider"
            id="com.archimatetool.editor.LineConnectionUIProvider">
      </uiProvider>
   </extension>
   <extension
         name="Sketch"
         point="com.archimatetool.editor.objectUIProvider">
      <uiProvider
            class="com.archimatetool.editor.ui.factory.sketch.SketchModelUIProvider"
            id="com.archimatetool.editor.SketchModelUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.sketch.SketchActorUIProvider"
            id="com.archimatetool.editor.SketchActorUIProvider">
      </uiProvider>
      <uiProvider
            class="com.archimatetool.editor.ui.factory.sketch.SketchStickyUIProvider"
            id="com.archimatetool.editor.SketchStickyUIProvider">
      </uiProvider>
   </extension>
   <extension
         point="org.eclipse.ui.splashHandlers">
      <splashHandler
            class="com.archimatetool.editor.SplashHandler"
            id="com.archimatetool.editor.splashHandler">
      </splashHandler>
      <splashHandlerProductBinding
            productId="com.archimatetool.editor.product"
            splashId="com.archimatetool.editor.splashHandler">
      </splashHandlerProductBinding>
   </extension>

</plugin>
